libzypp 17.37.10

zypp::xml::parse_def_assign::Assigner< Tp > Struct Template Reference

Assigner assigns text to types constructible from `char*`. More...

`#include <zypp/parser/xml/ParseDefConsume.h>`

## Public Member Functions
| Assigner (Tp &value_r)
void | assign (const char *text_r) override

## Private Attributes
Tp * | _value

## Detailed Description

template<class Tp>
struct zypp::xml::parse_def_assign::Assigner< Tp >

Assigner assigns text to types constructible from `char*`.

See also
  assigner convenience constructor.

Definition at line 147 of file ParseDefConsume.h.

## Constructor & Destructor Documentation

## ◆ Assigner()

template<class Tp>

zypp::xml::parse_def_assign::Assigner< Tp >::Assigner | ( | Tp & | value_r | ) |
| inline

Definition at line 149 of file ParseDefConsume.h.

## Member Function Documentation

## ◆ assign()

template<class Tp>

void zypp::xml::parse_def_assign::Assigner< Tp >::assign | ( | const char * | text_r | ) |
| inline override

Definition at line 153 of file ParseDefConsume.h.

## Member Data Documentation

## ◆ _value

template<class Tp>

Tp* zypp::xml::parse_def_assign::Assigner< Tp >::_value
| private

Definition at line 157 of file ParseDefConsume.h.

The documentation for this struct was generated from the following file:

- zypp/parser/xml/ParseDefConsume.h